<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style type="text/css" media="screen">
		img{
			/*width:0px;*/
			/* cuidado con el orden de las transformaciones
			para poder animarlas */
			opacity: 0;
			transform: rotate(0deg);
			transform: scale(0);
			transition: all 5s;
		}

		/*img:hover{
			opacity: 1;
			transform: scale(1);
			transform: rotate(180deg);
		}*/


	</style>
	
	<script type="text/javascript">
		window.addEventListener("load", ()=>{
			document.querySelector("img").addEventListener("transitionend", ()=>{
				alert("Ya estoy aqui");
				document.querySelector("img").style.opacity=1;
			});
			document.querySelector("img").style.opacity=1;
			//document.querySelector("img").style.width="1000px";
			//document.querySelector("img").style.transform = 'rotate(90deg) scale(1)';
			document.querySelector("img").style.transform = 'scale(1) rotate(180deg)';
			//ocument.querySelector("img").style.transform='scale(1)';
			
		});
	</script>
</head>
<body>
	<img src="imgs/1.jpg" alt="foto">
</body>
</html>